密钥概览
| 密钥版本 | V2 |
|---|---|
| 规范 | RFC 1991 · RFC 2440 |
| 状态 | 已淘汰的旧格式,仅为历史兼容性保留 |
| 主密钥(认证、签名) | RSA 2048 · ID 1 |
| 加密子密钥 | 无:版本 2 和 3 的密钥没有子密钥,RSA 主密钥也用于加密(C/S/E 由算法推导) |
| 指纹 | 55AC229DCC134C267809F0D9D6FCE76F |
| 私钥口令 | synthetic-key-password |
算法与用途
RSA 2048: 模数长度为 2048 位 的 RSA。大多数软件仍然接受它,但 RFC 9580 已不再建议生成低于 3072 位的 RSA 密钥;作为旧式选项保留。
公钥
包含用户 ID 和自签名的公钥。版本 2 和 3 的密钥没有子密钥:同一个 RSA 密钥用于验证签名,以及向此测试身份加密数据。
下载 → 868 字节
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQEPAmr3la4AAAEIANuM5VCCUkM/sNqZfUucuVIRhxfJ/KH2wd8h/kIod0UtkQ54
MDE8TYA/w5rbZugeKq2qJkvR6ke3snTKHVxVO4XuAfgPvT9bJQ/UQ+4lqSacodDQ
FQQ7QMZL37PYMlUqAzO1bsQ2GXgC3kgTSoFszi/F8w17eVWEmSa+qL7Hqv2eR80f
uhlreTvCZYW5MvxIJ4qMMC2Dqxo2lE6cfWbRfy9cHBRF5xU7RG2EgVQw/YGg4oxs
6cUxjHj72EV7SLQqHqAjNqqed2pvebvKOqgl3NVzVZ5qOgcE0IfgOciLZUp41Gs7
GNemvg9vU7aseCNu3Uvv/aAjDLByO0ewfZNh5rsAEQEAAbQZQ0gtSiBtYXRyaXgg
NDQtdjItcnNhMjA0OIkBFQIFEGr3la47R7B9k2HmuwEB+W0H+wRluQfgN7cjjlRC
oR4Gr9wM334gvLfTgX7gAwx4mAvcT0YCTxKovrRjMqQ6MIWk/iIWrmo0qhlv2f8O
DdArbwaic6Zgkv/uulSfo/9bOPtZN5JMCZ70/bdGF1AYb/LFK3HjATqrNc23qVtA
IgN2wQA2yDmDEJOuHGEvdfcmSkTPKmTc9dETCcS6Ef5IFEuKhoTYWxbI+sZCX1+8
jw4loyrvJQh0Tfa/grX8Fv5snRKudvaDKVHkcwJ01IRFE+36ghV4vykue44Qo1db
Zfqtxd2jArGPyKGt4Th4N1n55Y59LULENhVQDv8pIkL8T5+deFABV7R9wkkwnO57
01ylA0c=
=2hSt
-----END PGP PUBLIC KEY BLOCK-----
私钥
由上方所示口令保护的私钥。仅为测试而公开,任何人都可使用。
下载 → 1 763 字节
显示
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQOiAmr3la4AAAEIANuM5VCCUkM/sNqZfUucuVIRhxfJ/KH2wd8h/kIod0UtkQ54
MDE8TYA/w5rbZugeKq2qJkvR6ke3snTKHVxVO4XuAfgPvT9bJQ/UQ+4lqSacodDQ
FQQ7QMZL37PYMlUqAzO1bsQ2GXgC3kgTSoFszi/F8w17eVWEmSa+qL7Hqv2eR80f
uhlreTvCZYW5MvxIJ4qMMC2Dqxo2lE6cfWbRfy9cHBRF5xU7RG2EgVQw/YGg4oxs
6cUxjHj72EV7SLQqHqAjNqqed2pvebvKOqgl3NVzVZ5qOgcE0IfgOciLZUp41Gs7
GNemvg9vU7aseCNu3Uvv/aAjDLByO0ewfZNh5rsAEQEAAQFYw2V7F5Cb4wf/z3+U
6+sxgjTqMlUVCmKMBaHkMqh++U18b322F/dGMAYmr8Shke5kPEepWviwD69/x7tw
1pNsiZC5e2s+YctLOQWw/HoIqNiYbRCmzL9EMEGVXiF8lLVJfZ2fUjm5Urd/C9+0
VPHOcV4lFeLefaPl/pKdAlgG5Y9hI81ytb3DMPAqk6VMpxhe8iGoErxdNO2ZLjk2
5CQLDrUk+eyPIuSv3BalChdVMDDV3CPAQgkvHsR5mJ6LKnrZ0REBidL7tBKBPiIm
wR001t3/eK7ko7ZbpY21t9JCOMXTZ5oY/iWb70V14iTpezOqKNs2kpfx0XyUB3CZ
SnkCPZwiytomDdnopQQAHSdF4hqdJFonomZVujJOAl8IoATCKnwPrejiNM/Lkd6T
Fyf3wSvCt+n6mhoHNd9mAEYtzmX2/BPPD4CnjwJd66sRERDR2uLEhZ/ml6c0ghUK
JkdbvbEY/AW+NHKYKrNx3t3529bG73i+W61AhAOPbWr3dh9GBjPKdb1uLT3MKa8E
AOU9pMrUWMdZKkKVtasqlJUqq5tPcWXYgq/YauH7iBRhtWdJdl6biPUGZNlr6xfa
9rhHA3YayYnbvg14RXb2DplISLtR8TaVAdiW/95HipJuHpM6ZTPpeiPBpLfu6b7m
fCzC3ecHRxIpoeYp8tSzG7WGE9quK+u3LSVoj1xdFzQCBAD6TxwIEhNopG4s4ag+
HUNLkAfGTwSpNn0uPRUnbdeBfqCaaNw0BlfSfA0tMBNecMFOlTluBg+6K81SfmBY
NGxU2VDQa8jjYD8zav8poidJFgSOuTxXTQsVxgI2GBDy4KBw20OV7ZTz4HGX1Mh8
FVqpdO3QJHN5lGeO11dRo7vlvUQBtBlDSC1KIG1hdHJpeCA0NC12Mi1yc2EyMDQ4
iQEVAgUQaveVrjtHsH2TYea7AQH5bQf7BGW5B+A3tyOOVEKhHgav3AzffiC8t9OB
fuADDHiYC9xPRgJPEqi+tGMypDowhaT+IhauajSqGW/Z/w4N0CtvBqJzpmCS/+66
VJ+j/1s4+1k3kkwJnvT9t0YXUBhv8sUrceMBOqs1zbepW0AiA3bBADbIOYMQk64c
YS919yZKRM8qZNz10RMJxLoR/kgUS4qGhNhbFsj6xkJfX7yPDiWjKu8lCHRN9r+C
tfwW/mydEq529oMpUeRzAnTUhEUT7fqCFXi/KS57jhCjV1tl+q3F3aMCsY/Ioa3h
OHg3Wfnljn0tQsQ2FVAO/ykiQvxPn514UAFXtH3CSTCc7nvTXKUDRw==
=4qL2
-----END PGP PRIVATE KEY BLOCK-----
吊销证书
预先生成的密钥泄露证书,采用 RFC 1991 定义的签名类别 0x20(“This is my key, and I have revoked it”),由 PGP 2.6. 实现。导入后会将密钥标记为已吊销。
下载 → 1 245 字节
显示
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQEPAmr3la4AAAEIANuM5VCCUkM/sNqZfUucuVIRhxfJ/KH2wd8h/kIod0UtkQ54
MDE8TYA/w5rbZugeKq2qJkvR6ke3snTKHVxVO4XuAfgPvT9bJQ/UQ+4lqSacodDQ
FQQ7QMZL37PYMlUqAzO1bsQ2GXgC3kgTSoFszi/F8w17eVWEmSa+qL7Hqv2eR80f
uhlreTvCZYW5MvxIJ4qMMC2Dqxo2lE6cfWbRfy9cHBRF5xU7RG2EgVQw/YGg4oxs
6cUxjHj72EV7SLQqHqAjNqqed2pvebvKOqgl3NVzVZ5qOgcE0IfgOciLZUp41Gs7
GNemvg9vU7aseCNu3Uvv/aAjDLByO0ewfZNh5rsAEQEAAYkBFQIFIGr3la47R7B9
k2HmuwEBvDUIAI2BjTFOt0C2kKTsa56Cms7OdTnitDDPGv5KF1rr7V/QqQtksw+s
5RjIwsFQSJzQ3GDIDwIIv0wiRMkhdeE1m1jMwaQxMSChr6TadD68w958oTKXviwv
FmnRvbp6sDqMEHyGD8cgDUzcj4G2qz1kTaKpaFv0fVMW0gOv9PZ1lb2TFQ7XjDIm
Jbkh9qLSyC0ARIDYhmsrQDxkCJByid/FpELPeL1wSvm0WQ9udNHg0PYkk6wwkdmk
z8G1VcFgb90xSOad+0iCRbriUGw+4IAGdGJezFXhqrW7kNyUky030KzllIFVbC1j
fMVDT1X3CFqT7+xCh+12/J1oFb0reZExpj+0GUNILUogbWF0cml4IDQ0LXYyLXJz
YTIwNDiJARUCBRBq95WuO0ewfZNh5rsBAfltB/sEZbkH4De3I45UQqEeBq/cDN9+
ILy304F+4AMMeJgL3E9GAk8SqL60YzKkOjCFpP4iFq5qNKoZb9n/Dg3QK28GonOm
YJL/7rpUn6P/Wzj7WTeSTAme9P23RhdQGG/yxStx4wE6qzXNt6lbQCIDdsEANsg5
gxCTrhxhL3X3JkpEzypk3PXREwnEuhH+SBRLioaE2FsWyPrGQl9fvI8OJaMq7yUI
dE32v4K1/Bb+bJ0Srnb2gylR5HMCdNSERRPt+oIVeL8pLnuOEKNXW2X6rcXdowKx
j8ihreE4eDdZ+eWOfS1CxDYVUA7/KSJC/E+fnXhQAVe0fcJJMJzue9NcpQNH
=2y3k
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的签名
在 CH-J Tools 中使用此密钥生成的 test_1MB.bin 的 ASCII 装甲格式分离签名。请将其保存为 test_1MB.bin.asc,与测试文件放在同一目录。
下载 → 447 字节
-----BEGIN PGP SIGNATURE-----
iQEVAgUAaveVrjtHsH2TYea7AQEGewf6A6u4O9FXbuChBU8JOyz2q/urvR4UC01H
9KMvP1bP2Ik0CtArzs2QAH7GhEgvjEygLUSgyUxntQHBF+dkGlGOZMwkqBIeoauN
t7ZWWgKb1UAlggvNNiUMsvRIEA/c3g/jTaNUufGdWqhZ0eF6NKe/O4vKvrVHELCz
26XH2JEP8BTDxC4CdaAq2PishBseKd7GxAGZzlqBaM4TchGdIi0427kRP8+po/oj
i2B4VunmA8HwulraMFc9e2uuh8UUBC5k1Ur2IUx70FKYjvwGoA00ySM/IszwYGoA
37wmM+UHxHM2omv9mHqbmT64E2AcSRKokUgcmH5ewySEg44cExygQw==
=99+I
-----END PGP SIGNATURE-----
验证签名
版本 3 和 2 的密钥需要明确允许 MD5 的 GnuPG 1.4(gpg1)、历史版本的 PGP,或 CH-J Tools。请使用临时 GNUPGHOME,避免将测试密钥导入实际使用的密钥环:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-44-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin